# draugr.metrics.metric_summary.MetricSummary

class draugr.metrics.metric_summary.MetricSummary

  Bases: `object`

  description

  __init__()

  Methods

  `__init__`() |

  `append`(val)

  param val

  `moving_average`([window_size])

  param window_size

  `running_average`(data) | Computes new running mean and variances.

  Attributes

  `values` | return: :rtype:

  append(val)
    Parameters

      val –

  moving_average(window_size=100)
    Parameters

      window_size –

    Returns

    Return type

  running_average(data)

    Computes new running mean and variances. :param data: New piece of data. :return: New mean and variance values.

  property values

    return: :rtype: